Resync data source
curl --request POST \
--url https://api.chatling.ai/v2/chatbots/{chatbotId}/knowledge-base/data-sources/{dataSourceId}/resync \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chatling.ai/v2/chatbots/{chatbotId}/knowledge-base/data-sources/{dataSourceId}/resync"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chatling.ai/v2/chatbots/{chatbotId}/knowledge-base/data-sources/{dataSourceId}/resync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}
Knowledge base
Resync data source
Resync a data source.
POST
/
chatbots
/
{chatbotId}
/
knowledge-base
/
data-sources
/
{dataSourceId}
/
resync
Resync data source
The following limitations apply:
- You can have up to 50 data sources queued for resync. If you exceed this limit, you will receive an error and must wait until some of the queued resyncs are complete.
- You can only resync data sources that are in the
processedstate.
Request parameters
Path
string
required
The chatbot ID.
string
required
The data source ID.
Response
string
The status of the request. Will be
success if the request was successful, otherwise error.{
"status": "success"
}
⌘I

